package com.liquidnet.service.kylin.service.partner;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.kylin.dao.PerformancePartnerListDao;
import com.liquidnet.service.kylin.dto.param.PerformanceCreateParam;
import com.liquidnet.service.kylin.dto.param.PerformanceListParam;
import com.liquidnet.service.kylin.dto.param.PerformanceStep1Param;
import com.liquidnet.service.kylin.dto.param.PerformanceStep2Param;
import com.liquidnet.service.kylin.dto.vo.PerformanceVo;
import com.liquidnet.service.kylin.dto.vo.partner.PerformancePartnerListVo;
import com.liquidnet.service.kylin.entity.KylinPerformances;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 演出 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-05
 */
public interface IKylinPerformancesPartnerService extends IService<KylinPerformances> {

    String createStep1(PerformanceStep1Param step1Param);

    boolean createStep2(PerformanceStep2Param step1Param);

    PerformanceCreateParam getStep1(String performancesId);

    PerformanceStep2Param getStep2(String performancesId);

    boolean onLinePerformance(String performancesId);

    boolean outLinePerformance(String performancesId);

    PageInfo<PerformancePartnerListDao> getList(PerformanceListParam performanceListParam);
}
